## NAS Serving System NAS Serving System |

## Functions

QmiIndicationNasServingSystemOutput * | qmi_indication_nas_serving_system_output_ref ()
void | qmi_indication_nas_serving_system_output_unref ()
gboolean | qmi_indication_nas_serving_system_output_get_mnc_pcs_digit_include_status ()
gboolean | qmi_indication_nas_serving_system_output_get_umts_primary_scrambling_code ()
gboolean | qmi_indication_nas_serving_system_output_get_plmn_not_changed_indication ()
gboolean | qmi_indication_nas_serving_system_output_get_call_barring_status ()
gboolean | qmi_indication_nas_serving_system_output_get_lte_tac ()
gboolean | qmi_indication_nas_serving_system_output_get_hdr_personality ()
gboolean | qmi_indication_nas_serving_system_output_get_cdma_system_info ()
gboolean | qmi_indication_nas_serving_system_output_get_detailed_service_status ()
gboolean | qmi_indication_nas_serving_system_output_get_dtm_support ()
gboolean | qmi_indication_nas_serving_system_output_get_prl_indicator_3gpp2 ()
gboolean | qmi_indication_nas_serving_system_output_get_concurrent_service_info_3gpp2 ()
gboolean | qmi_indication_nas_serving_system_output_get_cid_3gpp ()
gboolean | qmi_indication_nas_serving_system_output_get_lac_3gpp ()
gboolean | qmi_indication_nas_serving_system_output_get_universal_time_and_local_time_zone_3gpp ()
gboolean | qmi_indication_nas_serving_system_output_get_daylight_saving_time_adjustment_3gpp ()
gboolean | qmi_indication_nas_serving_system_output_get_time_zone_3gpp ()
gboolean | qmi_indication_nas_serving_system_output_get_plmn_name_flag_3gpp ()
gboolean | qmi_indication_nas_serving_system_output_get_cdma_p_rev ()
gboolean | qmi_indication_nas_serving_system_output_get_time_zone_3gpp2 ()
gboolean | qmi_indication_nas_serving_system_output_get_default_roaming_indicator ()
gboolean | qmi_indication_nas_serving_system_output_get_roaming_indicator_list ()
gboolean | qmi_indication_nas_serving_system_output_get_cdma_base_station_info ()
gboolean | qmi_indication_nas_serving_system_output_get_cdma_system_id ()
gboolean | qmi_indication_nas_serving_system_output_get_current_plmn ()
gboolean | qmi_indication_nas_serving_system_output_get_data_service_capability ()
gboolean | qmi_indication_nas_serving_system_output_get_roaming_indicator ()
gboolean | qmi_indication_nas_serving_system_output_get_serving_system ()

## Types and Values

| QmiIndicationNasServingSystemOutput
| QmiIndicationNasServingSystemOutputRoamingIndicatorListElement

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationNasServingSystemOutput

## Description

## Functions

### qmi_indication_nas_serving_system_output_ref ()

    QmiIndicationNasServingSystemOutput *
    qmi_indication_nas_serving_system_output_ref
                                   (QmiIndicationNasServingSystemOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |

#### Returns

the new reference to `self` .

### qmi_indication_nas_serving_system_output_unref ()

    void
    qmi_indication_nas_serving_system_output_unref
                                   (QmiIndicationNasServingSystemOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |

### qmi_indication_nas_serving_system_output_get_mnc_pcs_digit_include_status ()

    gboolean
    qmi_indication_nas_serving_system_output_get_mnc_pcs_digit_include_status
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint16 *mnc_pcs_digit_include_status_mcc,
                                    guint16 *mnc_pcs_digit_include_status_mnc,
                                    gboolean *mnc_pcs_digit_include_status_includes_pcs_digit,
                                    GError **error);

Get the 'MNC PCS Digit Include Status' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
mnc_pcs_digit_include_status_mcc | a placeholder for the output guint16, or `NULL` if not required. |
mnc_pcs_digit_include_status_mnc | a placeholder for the output guint16, or `NULL` if not required. |
mnc_pcs_digit_include_status_includes_pcs_digit | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_umts_primary_scrambling_code ()

    gboolean
    qmi_indication_nas_serving_system_output_get_umts_primary_scrambling_code
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint16 *umts_primary_scrambling_code,
                                    GError **error);

Get the 'UMTS Primary Scrambling Code' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
umts_primary_scrambling_code | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_plmn_not_changed_indication ()

    gboolean
    qmi_indication_nas_serving_system_output_get_plmn_not_changed_indication
                                   (QmiIndicationNasServingSystemOutput *self,
                                    gboolean *plmn_not_changed_indication,
                                    GError **error);

Get the 'PLMN Not Changed Indication' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
plmn_not_changed_indication | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_call_barring_status ()

    gboolean
    qmi_indication_nas_serving_system_output_get_call_barring_status
                                   (QmiIndicationNasServingSystemOutput *self,
                                    QmiNasCallBarringStatus *call_barring_status_cs_status,
                                    QmiNasCallBarringStatus *call_barring_status_ps_status,
                                    GError **error);

Get the 'Call Barring Status' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
call_barring_status_cs_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. |
call_barring_status_ps_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_lte_tac ()

    gboolean
    qmi_indication_nas_serving_system_output_get_lte_tac
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint16 *lte_tac,
                                    GError **error);

Get the 'LTE TAC' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
lte_tac | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_hdr_personality ()

    gboolean
    qmi_indication_nas_serving_system_output_get_hdr_personality
                                   (QmiIndicationNasServingSystemOutput *self,
                                    QmiNasHdrPersonality *hdr_personality,
                                    GError **error);

Get the 'HDR Personality' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
hdr_personality | a placeholder for the output QmiNasHdrPersonality, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_cdma_system_info ()

    gboolean
    qmi_indication_nas_serving_system_output_get_cdma_system_info
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint16 *cdma_system_info_mcc,
                                    guint8 *cdma_system_info_imsi_11_12,
                                    GError **error);

Get the 'CDMA System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
cdma_system_info_mcc | a placeholder for the output guint16, or `NULL` if not required. |
cdma_system_info_imsi_11_12 | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_detailed_service_status ()

    gboolean
    qmi_indication_nas_serving_system_output_get_detailed_service_status
                                   (QmiIndicationNasServingSystemOutput *self,
                                    QmiNasServiceStatus *detailed_service_status_status,
                                    QmiNasNetworkServiceDomain *detailed_service_status_capability,
                                    QmiNasServiceStatus *detailed_service_status_hdr_status,
                                    gboolean *detailed_service_status_hdr_hybrid,
                                    gboolean *detailed_service_status_forbidden,
                                    GError **error);

Get the 'Detailed Service Status' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
detailed_service_status_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
detailed_service_status_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. |
detailed_service_status_hdr_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. |
detailed_service_status_hdr_hybrid | a placeholder for the output gboolean, or `NULL` if not required. |
detailed_service_status_forbidden | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_dtm_support ()

    gboolean
    qmi_indication_nas_serving_system_output_get_dtm_support
                                   (QmiIndicationNasServingSystemOutput *self,
                                    gboolean *dtm_support,
                                    GError **error);

Get the 'DTM Support' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
dtm_support | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_prl_indicator_3gpp2 ()

    gboolean
    qmi_indication_nas_serving_system_output_get_prl_indicator_3gpp2
                                   (QmiIndicationNasServingSystemOutput *self,
                                    gboolean *prl_indicator_3gpp2,
                                    GError **error);

Get the 'PRL Indicator 3GPP2' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
prl_indicator_3gpp2 | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_concurrent_service_info_3gpp2 ()

    gboolean
    qmi_indication_nas_serving_system_output_get_concurrent_service_info_3gpp2
                                   (QmiIndicationNasServingSystemOutput *self,
                                    gboolean *concurrent_service_info_3gpp2,
                                    GError **error);

Get the 'Concurrent Service Info 3GPP2' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
concurrent_service_info_3gpp2 | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_cid_3gpp ()

    gboolean
    qmi_indication_nas_serving_system_output_get_cid_3gpp
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint32 *cid_3gpp,
                                    GError **error);

Get the 'CID 3GPP' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
cid_3gpp | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_lac_3gpp ()

    gboolean
    qmi_indication_nas_serving_system_output_get_lac_3gpp
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint16 *lac_3gpp,
                                    GError **error);

Get the 'LAC 3GPP' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
lac_3gpp | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_universal_time_and_local_time_zone_3gpp ()

    gboolean
    qmi_indication_nas_serving_system_output_get_universal_time_and_local_time_zone_3gpp
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint16 *universal_time_and_local_time_zone_3gpp_year,
                                    guint8 *universal_time_and_local_time_zone_3gpp_month,
                                    guint8 *universal_time_and_local_time_zone_3gpp_day,
                                    guint8 *universal_time_and_local_time_zone_3gpp_hour,
                                    guint8 *universal_time_and_local_time_zone_3gpp_minute,
                                    guint8 *universal_time_and_local_time_zone_3gpp_second,
                                    guint8 *universal_time_and_local_time_zone_3gpp_time_zone,
                                    GError **error);

Get the 'Universal Time and Local Time Zone 3GPP' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
universal_time_and_local_time_zone_3gpp_year | a placeholder for the output guint16, or `NULL` if not required. |
universal_time_and_local_time_zone_3gpp_month | a placeholder for the output guint8, or `NULL` if not required. |
universal_time_and_local_time_zone_3gpp_day | a placeholder for the output guint8, or `NULL` if not required. |
universal_time_and_local_time_zone_3gpp_hour | a placeholder for the output guint8, or `NULL` if not required. |
universal_time_and_local_time_zone_3gpp_minute | a placeholder for the output guint8, or `NULL` if not required. |
universal_time_and_local_time_zone_3gpp_second | a placeholder for the output guint8, or `NULL` if not required. |
universal_time_and_local_time_zone_3gpp_time_zone | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_daylight_saving_time_adjustment_3gpp ()

    gboolean
    qmi_indication_nas_serving_system_output_get_daylight_saving_time_adjustment_3gpp
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint8 *daylight_saving_time_adjustment_3gpp,
                                    GError **error);

Get the 'Daylight Saving Time Adjustment 3GPP' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
daylight_saving_time_adjustment_3gpp | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_time_zone_3gpp ()

    gboolean
    qmi_indication_nas_serving_system_output_get_time_zone_3gpp
                                   (QmiIndicationNasServingSystemOutput *self,
                                    gint8 *time_zone_3gpp,
                                    GError **error);

Get the 'Time Zone 3GPP' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
time_zone_3gpp | a placeholder for the output gint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_plmn_name_flag_3gpp ()

    gboolean
    qmi_indication_nas_serving_system_output_get_plmn_name_flag_3gpp
                                   (QmiIndicationNasServingSystemOutput *self,
                                    gboolean *plmn_name_flag_3gpp,
                                    GError **error);

Get the 'PLMN Name Flag 3GPP' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
plmn_name_flag_3gpp | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_cdma_p_rev ()

    gboolean
    qmi_indication_nas_serving_system_output_get_cdma_p_rev
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint8 *cdma_p_rev,
                                    GError **error);

Get the 'CDMA P Rev' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
cdma_p_rev | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_time_zone_3gpp2 ()

    gboolean
    qmi_indication_nas_serving_system_output_get_time_zone_3gpp2
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint8 *time_zone_3gpp2_leap_seconds,
                                    gint8 *time_zone_3gpp2_local_time_offset,
                                    gboolean *time_zone_3gpp2_daylight_saving_time,
                                    GError **error);

Get the 'Time Zone 3GPP2' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
time_zone_3gpp2_leap_seconds | a placeholder for the output guint8, or `NULL` if not required. |
time_zone_3gpp2_local_time_offset | a placeholder for the output gint8, or `NULL` if not required. |
time_zone_3gpp2_daylight_saving_time | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_default_roaming_indicator ()

    gboolean
    qmi_indication_nas_serving_system_output_get_default_roaming_indicator
                                   (QmiIndicationNasServingSystemOutput *self,
                                    QmiNasRoamingIndicatorStatus *default_roaming_indicator,
                                    GError **error);

Get the 'Default Roaming Indicator' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
default_roaming_indicator | a placeholder for the output QmiNasRoamingIndicatorStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_roaming_indicator_list ()

    gboolean
    qmi_indication_nas_serving_system_output_get_roaming_indicator_list
                                   (QmiIndicationNasServingSystemOutput *self,
                                    GArray **roaming_indicator_list,
                                    GError **error);

Get the 'Roaming Indicator List' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
roaming_indicator_list | a placeholder for the output GArray of QmiIndicationNasServingSystemOutputRoamingIndicatorListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_cdma_base_station_info ()

    gboolean
    qmi_indication_nas_serving_system_output_get_cdma_base_station_info
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint16 *cdma_base_station_info_base_station_id,
                                    gint32 *cdma_base_station_info_base_station_latitude,
                                    gint32 *cdma_base_station_info_base_station_longitude,
                                    GError **error);

Get the 'CDMA Base Station Info' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
cdma_base_station_info_base_station_id | a placeholder for the output guint16, or `NULL` if not required. |
cdma_base_station_info_base_station_latitude | a placeholder for the output gint32, or `NULL` if not required. |
cdma_base_station_info_base_station_longitude | a placeholder for the output gint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_cdma_system_id ()

    gboolean
    qmi_indication_nas_serving_system_output_get_cdma_system_id
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint16 *cdma_system_id_sid,
                                    guint16 *cdma_system_id_nid,
                                    GError **error);

Get the 'CDMA System ID' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
cdma_system_id_sid | a placeholder for the output guint16, or `NULL` if not required. |
cdma_system_id_nid | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_current_plmn ()

    gboolean
    qmi_indication_nas_serving_system_output_get_current_plmn
                                   (QmiIndicationNasServingSystemOutput *self,
                                    guint16 *current_plmn_mcc,
                                    guint16 *current_plmn_mnc,
                                    const gchar **current_plmn_description,
                                    GError **error);

Get the 'Current PLMN' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
current_plmn_mcc | a placeholder for the output guint16, or `NULL` if not required. |
current_plmn_mnc | a placeholder for the output guint16, or `NULL` if not required. |
current_plmn_description | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_data_service_capability ()

    gboolean
    qmi_indication_nas_serving_system_output_get_data_service_capability
                                   (QmiIndicationNasServingSystemOutput *self,
                                    GArray **data_service_capability,
                                    GError **error);

Get the 'Data Service Capability' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
data_service_capability | a placeholder for the output GArray of QmiNasDataCapability elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_roaming_indicator ()

    gboolean
    qmi_indication_nas_serving_system_output_get_roaming_indicator
                                   (QmiIndicationNasServingSystemOutput *self,
                                    QmiNasRoamingIndicatorStatus *roaming_indicator,
                                    GError **error);

Get the 'Roaming Indicator' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
roaming_indicator | a placeholder for the output QmiNasRoamingIndicatorStatus, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_indication_nas_serving_system_output_get_serving_system ()

    gboolean
    qmi_indication_nas_serving_system_output_get_serving_system
                                   (QmiIndicationNasServingSystemOutput *self,
                                    QmiNasRegistrationState *serving_system_registration_state,
                                    QmiNasAttachState *serving_system_cs_attach_state,
                                    QmiNasAttachState *serving_system_ps_attach_state,
                                    QmiNasNetworkType *serving_system_selected_network,
                                    GArray **serving_system_radio_interfaces,
                                    GError **error);

Get the 'Serving System' field from `self` .

#### Parameters

self | a QmiIndicationNasServingSystemOutput. |
serving_system_registration_state | a placeholder for the output QmiNasRegistrationState, or `NULL` if not required. |
serving_system_cs_attach_state | a placeholder for the output QmiNasAttachState, or `NULL` if not required. |
serving_system_ps_attach_state | a placeholder for the output QmiNasAttachState, or `NULL` if not required. |
serving_system_selected_network | a placeholder for the output QmiNasNetworkType, or `NULL` if not required. |
serving_system_radio_interfaces | a placeholder for the output GArray of QmiNasRadioInterface elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

## Types and Values

### QmiIndicationNasServingSystemOutput

    typedef struct _QmiIndicationNasServingSystemOutput QmiIndicationNasServingSystemOutput;

The QmiIndicationNasServingSystemOutput structure contains private data and should only be accessed using the provided API.

### QmiIndicationNasServingSystemOutputRoamingIndicatorListElement

    typedef struct {
        QmiNasRadioInterface radio_interface;
        QmiNasRoamingIndicatorStatus roaming_indicator;
    } QmiIndicationNasServingSystemOutputRoamingIndicatorListElement;

A QmiIndicationNasServingSystemOutputRoamingIndicatorListElement struct.

#### Members

QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |
QmiNasRoamingIndicatorStatus `roaming_indicator`; | a QmiNasRoamingIndicatorStatus. |